System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.HttpWorkerRequest System.Runtime.InteropServices.ComVisible(false)

This simple implementation of HttpWorkerRequest provides the request URL and the query string and captures the body of the output into a . To achieve richer functionality, such as providing posted content and headers and capturing the response headers or response body as binary data, you should extend SimpleWorkerRequest and override the appropriate HttpWorkerRequest methods.

Provides a simple implementation of the abstract class that can be used to host ASP.NET applications outside an Internet Information Services (IIS) application. You can employ SimpleWorkerRequest directly or extend it.

- Constructor
  To be added

  Initializes a new instance of the class when the target application domain has been created using the method.

  The page to be requested (or the virtual path to the page, relative to the application directory).
  The text of the query string.
  A that captures output from the response
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class for use in an arbitrary application domain, when the user code creates an (passing the SimpleWorkerRequest as an argument to the HttpContext constructor).

  The virtual path to the application directory; for example, "/app".
  The physical path to the application directory; for example, "c:\app".
  The virtual path for the request (relative to the application directory).
  The text of the query string.
  A that captures the output from the response.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Notifies the that request processing for the current request is complete.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Sends all pending response data to the client.

  true if this is the last time response data will be flushed; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Returns the virtual path to the currently executing server application.

  The virtual path of the current application.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the UNC-translated path to the currently executing server application.

  The physical path of the current application.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the physical path to the requested URI.

  The physical path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the physical file path to the requested URI (and translates it from virtual path to physical path: for example, "/proj1/page.aspx" to "c:\dir\page.aspx")

  The translated physical file path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the HTTP request verb.

  The HTTP verb for this request.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the HTTP version string of the request (for example, "HTTP/1.1").

  The HTTP version string returned in the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the server IP address of the interface on which the request was received.

  The server IP address of the interface on which the request was received.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  Returns the port number on which the request was received.

  The server port number on which the request was received.

  1.0.5000.0
  2.0.0.0
- Method
  System.String Path info is a string which follows the script name in the URI of the request. For example, if the script name is 'foo.aspx' and the URI is '/somedir/foo.aspx/bar/baz', then the path info is '/bar/baz'.

  Returns additional path information for a resource with a URL extension. That is, for the path /virdir/page.html/tail, the return value is /tail.

  Additional path information for a resource.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the query string specified in the request URL.

  The request query string.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the URL path contained in the header with the query string appended.

  The raw URL path of the request header.

  The returned URL is not normalized. Using the URL for access control, or security-sensitive decisions can expose your application to canonicalization security vulnerabilities.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the IP address of the client.

  The client's IP address.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 When a client (web browser) connects to a server, it is assigned a port to communicate over. This value represents that port.

  Returns the client's port number.

  The client's port number.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added

  Returns a single server variable from a dictionary of server variables associated with the request.

  The requested server variable.

  The name of the requested server variable. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Returns the virtual path to the requested URI.

  The path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr To be added

  Returns the client's impersonation token.

  A value representing the client's impersonation token. The default is .

  1.0.5000.0
  2.0.0.0
- Property
  System.String a To be added

  Gets the full physical path to the Machine.config file.

  1.0.5000.0
  2.0.0.0
- Property
  System.String a To be added

  Gets the physical path to the directory where the ASP.NET binaries are installed.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added

  Returns the physical path corresponding to the specified virtual path.

  The physical path that corresponds to the virtual path specified in the parameter.

  The virtual path. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the full physical path to the root Web.config file.

- Method
  System.Void `` `` To be added

  Adds a standard HTTP header to the response.

  The header index. For example, . The header value. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Adds the contents of the file with the specified handle to the response and specifies the starting position in the file and the number of bytes to send.

  The handle of the file to send. The starting position in the file. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Adds the contents of the file with the specified name to the response and specifies the starting position in the file and the number of bytes to send.

  The name of the file to send. The starting position in the file. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds the contents of a byte array to the response and specifies the number of bytes to send.

  The byte array to send. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Specifies the HTTP status code and status description of the response; for example, SendStatus(200, "Ok").

  The status code to send The status description to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds a nonstandard HTTP header to the response.

  The name of the header to send. The value of the header. 1.0.5000.0 2.0.0.0